Loading...
Searching...
No Matches
AVFilterInOut Struct Reference
libavfilter

A linked-list of the inputs/outputs of the filter chain. More...

`#include <libavfilter/avfilter.h>`

## Data Fields

char * | name
| unique name for this input/output in the list
AVFilterContext * | filter_ctx
| filter context associated to this input/output
int | pad_idx
| index of the filt_ctx pad to use for linking
struct AVFilterInOut * | next
| next input/input in the list, NULL if this is the last

## Detailed Description

A linked-list of the inputs/outputs of the filter chain.

This is mainly useful for avfilter_graph_parse() / avfilter_graph_parse2(), where it is used to communicate open (unlinked) inputs and outputs from and to the caller. This struct specifies, per each not connected pad contained in the graph, the filter context and the pad index required for establishing a link.

Examples
  decode_filter_audio.c, decode_filter_video.c, and transcode.c.

Definition at line 739 of file avfilter.h.

## Field Documentation

## name

char* AVFilterInOut::name

unique name for this input/output in the list

Examples
  decode_filter_audio.c, decode_filter_video.c, and transcode.c.

Definition at line 741 of file avfilter.h.

Referenced by init_filter(), init_filters(), and init_filters().

## filter_ctx

AVFilterContext* AVFilterInOut::filter_ctx

filter context associated to this input/output

Examples
  decode_filter_audio.c, decode_filter_video.c, and transcode.c.

Definition at line 744 of file avfilter.h.

Referenced by init_filter(), init_filters(), and init_filters().

## pad_idx

int AVFilterInOut::pad_idx

index of the filt_ctx pad to use for linking

Examples
  decode_filter_audio.c, decode_filter_video.c, and transcode.c.

Definition at line 747 of file avfilter.h.

Referenced by init_filter(), init_filters(), and init_filters().

## next

struct AVFilterInOut* AVFilterInOut::next

next input/input in the list, NULL if this is the last

Examples
  decode_filter_audio.c, decode_filter_video.c, and transcode.c.

Definition at line 750 of file avfilter.h.

Referenced by init_filter(), init_filters(), and init_filters().

The documentation for this struct was generated from the following file:

- libavfilter/avfilter.h